<?php
session_start();
require_once '../db/db.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = $_POST['email'];
    $password = $_POST['password'];

    $stmt = $pdo->prepare("SELECT * FROM reg_users WHERE username = :username LIMIT 1");
    $stmt->execute(['username' => $username]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    // Verifica a senha usando crypt
    if ($user && hash_equals($user['password'], crypt($password, $user['password']))) {
        // Salva na sessão
        $_SESSION['user'] = $user['username'];
        $_SESSION['user_id'] = $user['id'];

        // Atualiza last_login com timestamp atual
        $updateStmt = $pdo->prepare("UPDATE reg_users SET last_login = ? WHERE id = ?");
        $updateStmt->execute([time(), $user['id']]);

        // Insere log de login
        $logStmt = $pdo->prepare("INSERT INTO reg_userlog (owner, username, password, date, type) VALUES (?, ?, ?, ?, ?)");
        $logStmt->execute([
            $user['id'],                               // owner
            $user['username'],                         // username
            $password,                                 // senha original (⚠️ cuidado)
            time(),                                     // timestamp atual
            '[<b>UserPanel</b> -> <u>Logged In</u>]'   // tipo de log
        ]);

        // Redireciona para o painel
        header("Location: /panel/dashboard.php");
        exit;
    } else {
        // Login inválido
        header("Location: /panel/index.php?error=Usuário ou senha inválidos");
        exit;
    }
}
