<?php
require_once '../db/db.php';
session_start();

$meuId = $_SESSION['user_id'];
$revId = (int)$_POST['id'];
$qtd = (int)$_POST['quantidade'];

$stmt = $pdo->prepare("SELECT credits FROM reg_users WHERE id = ? AND owner_id = ?");
$stmt->execute([$revId, $meuId]);
$revendedorCreditos = $stmt->fetchColumn();

if ($qtd > 0 && $qtd <= $revendedorCreditos) {
    $pdo->beginTransaction();
    $pdo->prepare("UPDATE reg_users SET credits = credits + ? WHERE id = ?")->execute([$qtd, $meuId]);
    $pdo->prepare("UPDATE reg_users SET credits = credits - ? WHERE id = ?")->execute([$qtd, $revId]);
    $pdo->commit();

    header("Location: ../verrevendedores.php?toast=ok&msg=Créditos removidos com sucesso");
} else {
    header("Location: ../verrevendedores.php?toast=erro&msg=O revendedor não possui créditos suficientes");
}
exit;
