<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

session_start();
require_once '../db/db.php';

if (!isset($_SESSION['user_id'])) {
    die("Acesso negado.");
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = $_POST['username'];
    $senha = $_POST['senha'];
    $email = $_POST['email'] . '@example.com';
    $celular = $_POST['celular'];
    $notas = $_POST['notas'];
    $creditos = (int) $_POST['creditos'];

    $hash = crypt($senha, '$6$rounds=20000$xtreamcodes$');

    // Busca os créditos do revendedor logado
    $stmt = $pdo->prepare("SELECT credits FROM reg_users WHERE id = :id LIMIT 1");
    $stmt->execute(['id' => $_SESSION['user_id']]);
    $dono = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$dono || $dono['credits'] < $creditos) {
        // Redireciona com erro
        header("Location: /panel/dashboard.php?erro_creditos=1");
        exit;
    }

    // Cria novo revendedor
    $stmt = $pdo->prepare("INSERT INTO reg_users 
        (username, password, email, ip, date_registered, member_group_id, verified, credits, notes, status, owner_id)
        VALUES (:username, :password, :email, :ip, UNIX_TIMESTAMP(), 2, 1, :creditos, :notas, 1, :owner_id)");
    $stmt->execute([
        'username' => $username,
        'password' => $hash,
        'email' => $email,
        'ip' => $_SERVER['REMOTE_ADDR'],
        'creditos' => $creditos,
        'notas' => $notas,
        'owner_id' => $_SESSION['user_id']
    ]);

    // Desconta créditos do criador
    $stmt = $pdo->prepare("UPDATE reg_users SET credits = credits - :qtd WHERE id = :id");
    $stmt->execute([
        'qtd' => $creditos,
        'id' => $_SESSION['user_id']
    ]);

header("Location: /panel/dashboard.php?success=1&username=" . urlencode($username) . "&senha=" . urlencode($senha) . "&credits=" . urlencode($creditos));
    exit;
}
