<?php
session_start();

if (isset($_SESSION['user'])) {
    header("Location: /panel/dashboard.php");
    exit;
}

$error = isset($_GET['error']) ? $_GET['error'] : null;
?>
 
<?php include 'includes/header.php'; ?>


  <body>
    <div class="container-xxl">
      <div class="authentication-wrapper authentication-basic container-p-y">
        <div class="authentication-inner">

          <div class="card px-sm-3 px-0">
            <div class="card-body">
    

              <h4 class="mb-1 text-center">Bem-vindo ao Painel 👋</h4>
              <p class="mb-6 text-center">Digite suas credenciais para continuar</p>

              <!-- Formulário -->
              <form id="formAuthentication" class="mb-4" action="../panel/functions/login.php" method="POST">
                <div class="mb-3">
                  <label for="email" class="form-label">Usuário ou E-mail</label>
                  <input type="text" class="form-control" id="email" name="email" placeholder="Digite seu usuário" required />
                </div>

                <div class="mb-3 form-password-toggle">
                  <label class="form-label" for="password">Senha</label>
                  <div class="input-group input-group-merge">
                    <input type="password" id="password" class="form-control" name="password" placeholder="••••••••••" required />
                    <span class="input-group-text cursor-pointer"><i class="bx bx-hide"></i></span>
                  </div>
                </div>

                <?php if ($error): ?>
                  <div class="alert alert-danger mt-3"><?= htmlspecialchars($error) ?></div>
                <?php endif; ?>

                <div class="mb-3">
                  <button class="btn btn-primary d-grid w-100" type="submit">Entrar</button>
                </div>
              </form>

            
            </div>
          </div>

        </div>
      </div>
    </div>
 <body>
<?php
include 'includes/scripts.php';
?>

